"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bindPoolConnection = void 0;
const any_1 = require("../connectionMethods/any");
const anyFirst_1 = require("../connectionMethods/anyFirst");
const exists_1 = require("../connectionMethods/exists");
const many_1 = require("../connectionMethods/many");
const manyFirst_1 = require("../connectionMethods/manyFirst");
const maybeOne_1 = require("../connectionMethods/maybeOne");
const maybeOneFirst_1 = require("../connectionMethods/maybeOneFirst");
const one_1 = require("../connectionMethods/one");
const oneFirst_1 = require("../connectionMethods/oneFirst");
const query_1 = require("../connectionMethods/query");
const stream_1 = require("../connectionMethods/stream");
const transaction_1 = require("../connectionMethods/transaction");
const bindPoolConnection = (parentLog, connection, clientConfiguration) => {
    return {
        any: (slonikSql) => {
            return (0, any_1.any)(parentLog, connection, clientConfiguration, slonikSql);
        },
        anyFirst: (slonikSql) => {
            return (0, anyFirst_1.anyFirst)(parentLog, connection, clientConfiguration, slonikSql);
        },
        exists: async (slonikSql) => {
            return await (0, exists_1.exists)(parentLog, connection, clientConfiguration, slonikSql);
        },
        many: (slonikSql) => {
            return (0, many_1.many)(parentLog, connection, clientConfiguration, slonikSql);
        },
        manyFirst: (slonikSql) => {
            return (0, manyFirst_1.manyFirst)(parentLog, connection, clientConfiguration, slonikSql);
        },
        maybeOne: (slonikSql) => {
            return (0, maybeOne_1.maybeOne)(parentLog, connection, clientConfiguration, slonikSql);
        },
        maybeOneFirst: (slonikSql) => {
            return (0, maybeOneFirst_1.maybeOneFirst)(parentLog, connection, clientConfiguration, slonikSql);
        },
        one: (slonikSql) => {
            return (0, one_1.one)(parentLog, connection, clientConfiguration, slonikSql);
        },
        oneFirst: (slonikSql) => {
            return (0, oneFirst_1.oneFirst)(parentLog, connection, clientConfiguration, slonikSql);
        },
        query: (slonikSql) => {
            return (0, query_1.query)(parentLog, connection, clientConfiguration, slonikSql);
        },
        stream: async (slonikSql, streamHandler) => {
            return await (0, stream_1.stream)(parentLog, connection, clientConfiguration, slonikSql, streamHandler, undefined);
        },
        transaction: async (handler, transactionRetryLimit) => {
            return await (0, transaction_1.transaction)(parentLog, connection, clientConfiguration, handler, transactionRetryLimit);
        },
    };
};
exports.bindPoolConnection = bindPoolConnection;
//# sourceMappingURL=bindPoolConnection.js.map