"use strict";
/* eslint-disable canonical/id-match */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPoolConfiguration = void 0;
const Logger_1 = require("../Logger");
const createPoolConfiguration = (clientConfiguration) => {
    const poolConfiguration = {
        idleTimeout: 10000,
        poolSize: 10,
    };
    if (clientConfiguration.idleTimeout !== 'DISABLE_TIMEOUT') {
        if (clientConfiguration.idleTimeout === 0) {
            Logger_1.Logger.warn('idleTimeout=0 sets timeout to 0 milliseconds; use idleTimeout=DISABLE_TIMEOUT to disable timeout');
            poolConfiguration.idleTimeout = 1;
        }
        else {
            poolConfiguration.idleTimeout = clientConfiguration.idleTimeout;
        }
    }
    if (clientConfiguration.maximumPoolSize) {
        poolConfiguration.poolSize = clientConfiguration.maximumPoolSize;
    }
    return poolConfiguration;
};
exports.createPoolConfiguration = createPoolConfiguration;
//# sourceMappingURL=createPoolConfiguration.js.map