"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDateSqlFragment = void 0;
const errors_1 = require("../errors");
const formatSlonikPlaceholder_1 = require("../utilities/formatSlonikPlaceholder");
const createDateSqlFragment = (token, greatestParameterPosition) => {
    if (!(token.date instanceof Date)) {
        throw new errors_1.InvalidInputError('Date parameter value must be an instance of Date.');
    }
    return {
        sql: (0, formatSlonikPlaceholder_1.formatSlonikPlaceholder)(greatestParameterPosition + 1) + '::date',
        values: [token.date.toISOString().slice(0, 10)],
    };
};
exports.createDateSqlFragment = createDateSqlFragment;
//# sourceMappingURL=createDateSqlFragment.js.map