"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTimestampSqlFragment = void 0;
const errors_1 = require("../errors");
const formatSlonikPlaceholder_1 = require("../utilities/formatSlonikPlaceholder");
const createTimestampSqlFragment = (token, greatestParameterPosition) => {
    if (!(token.date instanceof Date)) {
        throw new errors_1.InvalidInputError('Timestamp parameter value must be an instance of Date.');
    }
    return {
        sql: 'to_timestamp(' +
            (0, formatSlonikPlaceholder_1.formatSlonikPlaceholder)(greatestParameterPosition + 1) +
            ')',
        values: [String(token.date.getTime() / 1000)],
    };
};
exports.createTimestampSqlFragment = createTimestampSqlFragment;
//# sourceMappingURL=createTimestampSqlFragment.js.map