"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const defer_1 = require("./defer");
const ava_1 = __importDefault(require("ava"));
(0, ava_1.default)('resolves deferred promise', async (t) => {
    const deferred = (0, defer_1.defer)();
    deferred.resolve('foo');
    t.is(await deferred.promise, 'foo');
});
(0, ava_1.default)('rejects deferred promise', async (t) => {
    const deferred = (0, defer_1.defer)();
    deferred.reject(new Error('foo'));
    await t.throwsAsync(deferred.promise, {
        message: 'foo',
    });
});
//# sourceMappingURL=defer.test.js.map